## muon 2.2.0

=== CMakeLists.txt ===
project(muon)

set(CMAKE_MODULE_PATH "${muon_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

set(KDE_MIN_VERSION "4.7.0")
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(QApt QUIET)
find_package(DebconfKDE QUIET)
find_package(QtOAuth REQUIRED)
find_package(QCA2 REQUIRED) #required by QtOAuth
find_package(QJSON REQUIRED)
find_package(LibAttica QUIET)
find_package(BODEGA QUIET)
find_package(AkabeiCore QUIET)
find_package(AkabeiClient QUIET)
find_package(PackageKitQt2 QUIET)

include(KDE4Defaults)
include(FindPkgConfig)

if(NOT qjson_LIBRARIES) #hack to compatibilize different qjson finder versions
    set(qjson_LIBRARIES ${QJSON_LIBRARIES})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${QAPT_INCLUDE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR} ${QCA2_INCLUDE_DIR}
                    ${QJSON_INCLUDE_DIR}
                    ${CMAKE_SOURCE_DIR}/libmuon ${CMAKE_BINARY_DIR}/libmuon)


set(MUON_VERSION "2.2.0")
configure_file(MuonVersion.h.in MuonVersion.h)

add_subdirectory(libmuon)
if(QAPT_FOUND)
    add_subdirectory(libmuonapt)
    add_subdirectory(muon)
    add_subdirectory(installer)
endif()
add_subdirectory(updater)
add_subdirectory(discover)
add_subdirectory(exporter)

macro_log_feature(QAPT_FOUND "LibQApt" "Qt wrapper around the libapt-pkg library"
                  "http://www.kde.org" FALSE "" "Required to build the APT backend")
macro_log_feature(LIBATTICA_FOUND "LibAttica" "Qt library that implements the Open Collaboration Services API"
                  "http://www.kde.org" FALSE "" "Required to build the KNewStuff3 backend")
macro_log_feature(BODEGA_FOUND "Bodega" "Library that exposes Bodega resources"
                  "http://www.kde.org" FALSE "" "Required to build the Bodega backend")
macro_log_feature(AKABEICLIENT_FOUND "Akabei" "Library that exposes Akabei resources"
                  "http://www.kde.org" FALSE "" "Required to build the Akabei backend")
macro_log_feature(PACKAGEKITQT2_FOUND "PackageKitQt2" "Library that exposes PackageKit resources"
                  "http://www.packagekit.org" FALSE "" "Required to build the PackageKit backend")

macro_display_feature_log()
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )

=== discover/CMakeLists.txt ===
add_subdirectory(icons)
add_subdirectory(muon-contenttheme)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/..)

set(muon_discover_SRCS
    main.cpp
    MuonDiscoverMainWindow.cpp

    DiscoverAction.cpp
    NativeScrollBar.cpp
    MuonActionGroup.cpp
    PaginateModel.cpp
)

qt4_add_resources(muon_discover_SRCS resources.qrc)

kde4_add_executable(muon-discover ${muon_discover_SRCS})

target_link_libraries(muon-discover muonprivate
                                     ${KDE4_KIO_LIBS}
                                     ${KDE4_PLASMA_LIBS}
                                     kdeclarative
                                     ${QAPT_LIBRARY}
                                     ${QT_QTOPENGL_LIBRARY}
                                     ${QT_QTDECLARATIVE_LIBRARY}
)

install(TARGETS muon-discover ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(PROGRAMS muon-discover.desktop muon-discover-category.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR} )
install(FILES featured.json DESTINATION ${DATA_INSTALL_DIR}/muon-discover)
install(FILES muon-discoverui.rc  DESTINATION  ${DATA_INSTALL_DIR}/muon-discover)

=== libmuon/CMakeLists.txt ===
add_subdirectory(backends)
add_subdirectory(declarative)

set(muon_LIB_SRCS
    Category/Category.cpp
    Category/CategoryModel.cpp
    Category/CategoriesReader.cpp
    MuonMainWindow.cpp
    ReviewsBackend/AbstractReviewsBackend.cpp
    ReviewsBackend/Rating.cpp
    ReviewsBackend/Review.cpp
    ReviewsBackend/AbstractLoginBackend.cpp
    ReviewsBackend/ReviewsModel.cpp
    settings/SettingsPageBase.cpp
    settings/NotifySettingsPage.cpp
    Transaction/AddonList.cpp
    Transaction/Transaction.cpp
    Transaction/TransactionListener.cpp
    Transaction/TransactionModel.cpp
    resources/ResourcesModel.cpp
    resources/ResourcesProxyModel.cpp
    resources/AbstractResourcesBackend.cpp
    resources/AbstractResource.cpp
    resources/PackageState.cpp
    resources/AbstractBackendUpdater.cpp
    resources/ResourcesUpdatesModel.cpp
    resources/StandardBackendUpdater.cpp
    resources/AbstractKDEDModule.cpp
    MuonBackendsFactory.cpp
    ScreenshotsModel.cpp
    ApplicationAddonsModel.cpp
)

kde4_add_kcfg_files(muon_LIB_SRCS GENERATE_MOC MuonDataSources.kcfgc)
kde4_add_library(muonprivate SHARED ${muon_LIB_SRCS})

set_target_properties(muonprivate PROPERTIES
    VERSION 2.1.3
    SOVERSION 2
)

target_link_libraries(muonprivate
    ${QT_QTXML_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PHONON_LIBS}
    ${KDE4_SOLID_LIBS} 
    ${KDE4_KIO_LIBS}
)

install(TARGETS muonprivate ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES moo.ogg DESTINATION ${DATA_INSTALL_DIR}/libmuon)
install(FILES resources/muonabstractnotifier.notifyrc DESTINATION ${DATA_INSTALL_DIR}/muonabstractnotifier)

install(FILES
    muonbackendplugin.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== libmuonapt/CMakeLists.txt ===
set(muonapt_SRCS
    ChangesDialog.cpp
    MuonStrings.cpp
    QAptActions.cpp
    HistoryView/HistoryProxyModel.cpp
    HistoryView/HistoryView.cpp
)

kde4_add_library(muonapt SHARED ${muonapt_SRCS})
target_link_libraries(muonapt ${QT_QTCORE_LIBRARY}
    ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} ${KDE4_KIO_LIBS}
    ${QAPT_LIBRARY} muonprivate
)
install(TARGETS muonapt ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(declarative)

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mai )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( vi )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== updater/CMakeLists.txt ===
include_directories(../libmuon)

set(muon_updater_SRCS
    main.cpp
    MainWindow.cpp
    ChangelogWidget.cpp
    ProgressWidget.cpp
    UpdaterWidget.cpp
    KActionMessageWidget.cpp
    UpdateModel/UpdateItem.cpp
    UpdateModel/UpdateModel.cpp
    UpdateModel/UpdateDelegate.cpp
    config/UpdaterSettingsDialog.cpp)

kde4_add_ui_files(muon_updater_SRCS ProgressWidget.ui
                                    UpdaterCentralWidget.ui
                                    UpdaterWidgetNoUpdates.ui
)

kde4_add_executable(muon-updater ${muon_updater_SRCS})

target_link_libraries(muon-updater muonprivate
                                   ${KDE4_KIO_LIBS}
                                   ${KDE4_SOLID_LIBS})

if (ENABLE_QZEITGEIST)
    target_link_libraries(muon-updater ${QZEITGEIST_LIBRARY})
endif ()

install(TARGETS muon-updater ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES muon-updaterui.rc  DESTINATION  ${DATA_INSTALL_DIR}/muon-updater )
install( PROGRAMS muon-updater.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== libmuon/backends/CMakeLists.txt ===
if(AKABEICLIENT_FOUND)
    add_subdirectory(AkabeiBackend)#TODO: Add checks
endif()

if(LIBATTICA_FOUND)
    add_subdirectory(KNSBackend)
endif()

if(BODEGA_FOUND)
    add_subdirectory(BodegaBackend)
endif()

if(QAPT_FOUND)
    add_subdirectory(ApplicationBackend)
elseif(PACKAGEKITQT2_FOUND)
    add_subdirectory(PackageKitBackend)
endif()

option(BUILD_DummyBackend "Build the DummyBackend" "OFF")
if(BUILD_DummyBackend)
    add_subdirectory(DummyBackend)
endif()

=== libmuonapt/declarative/CMakeLists.txt ===
project(muonapt-declarative)

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ..)

kde4_add_library(muonaptdeclarativeplugin SHARED MuonAptDeclarativePlugin.cpp OriginsBackend.cpp)

target_link_libraries(muonaptdeclarativeplugin ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${KDE4_KDEUI_LIBRARY} ${QAPT_LIBRARY} muonprivate muonapt)

install(TARGETS muonaptdeclarativeplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/muonapt)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/muonapt)

add_subdirectory(tests)

=== po/hu/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( hu ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/zh_TW/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( zh_TW ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== libmuon/backends/AkabeiBackend/CMakeLists.txt ===
include_directories(
${AKABEICORE_INCLUDE_DIR}
${AKABEICLIENT_INCLUDE_DIR}
)

set(akabeibackend_SRCS
    AppstreamUtils.cpp
    AppAkabeiResource.cpp
    AkabeiUpdater.cpp 
    AkabeiQuestion.cpp
    AkabeiBackend.cpp
    AkabeiResource.cpp
    AkabeiTransaction.cpp
)

kde4_add_plugin(muon-akabeibackend SHARED ${akabeibackend_SRCS})
target_link_libraries(muon-akabeibackend ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${qjson_LIBRARIES} ${AKABEICLIENT_LIBRARIES} ${AKABEICORE_LIBRARIES} muonprivate)
install(TARGETS muon-akabeibackend DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES muon-akabei-backend.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES akabei-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libmuon/categories)

set(akabeinotifier_SRCS
    AkabeiNotifier.cpp
)

kde4_add_plugin(kded_muonakabeinotifier ${akabeinotifier_SRCS})

target_link_libraries(kded_muonakabeinotifier ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${AKABEICLIENT_LIBRARIES} ${AKABEICORE_LIBRARIES} muonprivate)

install(TARGETS kded_muonakabeinotifier DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES muonakabeinotifier.desktop  DESTINATION  ${SERVICES_INSTALL_DIR}/kded)

=== libmuon/backends/ApplicationBackend/CMakeLists.txt ===
# make the macro a bit more smart, making it possible to pass arguments to qdbusxml2cpp
macro(QT4_ADD_DBUS_INTERFACE _sources _interface _basename)
  get_filename_component(_infile ${_interface} ABSOLUTE)
  set(_header ${CMAKE_CURRENT_BINARY_DIR}/${_basename}.h)
  set(_impl   ${CMAKE_CURRENT_BINARY_DIR}/${_basename}.cpp)
  set(_moc    ${CMAKE_CURRENT_BINARY_DIR}/${_basename}.moc)

  # handling more arguments (as in FindQt4.cmake from KDE4) will come soon, then
  # _params will be used for more than just -m
  set(_params -m)

  add_custom_command(OUTPUT ${_impl} ${_header}
      COMMAND ${QT_DBUSXML2CPP_EXECUTABLE} ${_params} -p ${_basename} ${_infile} ${ARGN}
      DEPENDS ${_infile})

  set_source_files_properties(${_impl} PROPERTIES SKIP_AUTOMOC TRUE)

  qt4_generate_moc(${_header} ${_moc})

  set(${_sources} ${${_sources}} ${_impl} ${_header} ${_moc})
  macro_add_file_dependencies(${_impl} ${_moc})

endmacro(QT4_ADD_DBUS_INTERFACE)

include_directories(. ${CMAKE_SOURCE_DIR}/libmuonapt)

add_subdirectory(tests)

set(appsbackend_SRCS
    ApplicationBackend.cpp
    Application.cpp
    ApplicationUpdates.cpp
    ReviewsBackend.cpp #TODO: rename to AptReviewsBackend
    UbuntuLoginBackend.cpp
)

qt4_add_dbus_interface(appsbackend_SRCS ubuntu_sso_dbus_interface.xml ubuntu_sso -i "LoginMetaTypes.h")

kde4_add_plugin(muon-appsbackend SHARED ${appsbackend_SRCS})
target_link_libraries(muon-appsbackend ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY}
    ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${DEBCONF_KDE_LIB}
    ${qjson_LIBRARIES} ${QTOAUTH_LIBRARY} ${QAPT_LIBRARY} muonprivate muonapt
)
install(TARGETS muon-appsbackend DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES muon-applications-backend.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES apps-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libmuon/categories)

include_directories(${CMAKE_SOURCE_DIR}/kded)
kde4_add_plugin(kded_muonapplicationnotifier ApplicationNotifier.cpp)
target_link_libraries(kded_muonapplicationnotifier ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} muonprivate)

install(TARGETS kded_muonapplicationnotifier DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES muonapplicationnotifier.desktop  DESTINATION  ${SERVICES_INSTALL_DIR}/kded)
install(FILES muonapplicationnotifier.notifyrc DESTINATION ${DATA_INSTALL_DIR}/muonapplicationnotifier)
install(FILES distupgradeevent/releasechecker DESTINATION ${DATA_INSTALL_DIR}/muonapplicationnotifier)

=== debian/changelog ===
muon (2.2.0-0ubuntu3.2) trusty; urgency=medium

  * Add kubuntu_fix-releasechecker.diff to fix checking for
    release updates, LP: #1383767

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Oct 2014 17:15:24 +0200

muon (2.2.0-0ubuntu3.1) trusty; urgency=medium

  * Add upstream_Fix-threading-problem-involving-KSharedConfig.patch
    + This should prevent unsafe cross thread KSharedConfig accesses leading
      to crashes in all muon applications that use the ApplicationBackend.
    LP: #1317431

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 08 May 2014 11:25:39 +0200

muon (2.2.0-0ubuntu3) trusty; urgency=medium

  * Add upstream_Check-for-the-number-of-updates-rather-than-checking.patch
    to stop bogus upgrade notifications

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 13 Apr 2014 20:26:22 +0200

muon (2.2.0-0ubuntu2) trusty; urgency=medium

  * Add upstream_Don-t-post-another-notification-if-the-data-didn-t-c.patch
    from upstream git master as it did not get backported to the 2.2 branch
    LP: #1295423

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 16:59:11 +0200

muon (2.2.0-0ubuntu1) trusty; urgency=medium

  * Upstream final release
    + Dropping all patches/upstream_git of previously imported fixes.
  * Remove muon-notifier.mo from debian/*install as the bugger was merged
    into libmuon's translations.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 12:31:06 +0200

muon (2.1.70-0ubuntu4) trusty; urgency=medium

  * Import more upstream commits (no. 14-23) improving l10n and notifications
    LP: #1295423
  * Update muon-notifier.install for revised notifier (missed in previous
    uploads).

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 09 Apr 2014 11:38:49 +0200

muon (2.1.70-0ubuntu3) trusty; urgency=medium

  * Import upstream commits since release, improving l10n and resolving a
    couple of bugs.
    + All in sub directory upstream_git/ (git format-patch export)
    LP: #1283004

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Mar 2014 14:40:28 +0100

muon (2.1.70-0ubuntu2) trusty; urgency=medium

  * Remove build dep on libbogdega-dev again, not considered viable yet by
    upstream.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 24 Feb 2014 12:27:08 +0100

muon (2.1.70-0ubuntu1) trusty; urgency=medium

  * New upstream alpha release
  * Build-dep on libbodega-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Feb 2014 22:43:20 +0000

muon (2.1.3-0ubuntu3) trusty; urgency=low

  * Add upstream_Small-logic-bug.patch to fix application listing caused
    by missing bool negation.
    LP: #1276129

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 04 Feb 2014 13:19:25 +0100

muon (2.1.3-0ubuntu2) trusty; urgency=low

  * Drop kubuntu_featured_sources.diff in favor of kubuntu-settings shipping
    a config to provide featured software for discover.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 31 Jan 2014 12:33:06 +0100

muon (2.1.3-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * Refresh kubuntu_featured_sources.diff

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 30 Jan 2014 18:38:53 +0100

muon (2.1.2-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1261812)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 18 Dec 2013 15:38:28 +0100

muon (2.1.1-0ubuntu2) trusty; urgency=low

  * Breaks/Replaces libmuonprivate1 (LP: #1250103)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 11 Nov 2013 15:58:30 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=muon-dbg --with kde --parallel

override_dh_auto_test:
	# Do nothing

=== debian/watch ===
version=3
http://launchpad.net/muon/+download .*/muon-(.+)\.tar\.bz2

## muon 5.2.2-1

=== debian/changelog ===
muon (4:5.2.2-1-0ubuntu4) vivid; urgency=medium

  * Add upstream_notifyrc-path.diff to fix install location of notifyrc
    files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Apr 2015 12:09:05 +0200

muon (4:5.2.2-1-0ubuntu3) vivid; urgency=medium

  * Replace kubuntu_detect-kdelibs4support.diff with upstream format-patch
    upstream_check-for-KDELibs4Support.patch (no code change)
  * Add upstream patch upstream_Change-Join-the-Game-url.patch fixing the
    kde-join-the-game URL in the default muon-discover banner
  * Add upstream patch to make sure muon PM can load its xmlgui file
    upstream_Make-sure-the-proper-xmlgui-file-is-loaded.patch

 -- Harald Sitter <sitter@kde.org>  Wed, 01 Apr 2015 09:08:53 +0200

muon (4:5.2.2-1-0ubuntu2) vivid; urgency=medium

  * Add build-dep on libkf5kdelibs4support-dev and kubuntu_detect-kdelibs4support.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Mar 2015 09:59:22 +0100

muon (4:5.2.2-1-0ubuntu1) vivid; urgency=medium

  * Add back muon-installer.mo
  * Fixed upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Mar 2015 23:06:35 +0100

muon (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Remove muon-installer.mo from .install no longer included

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Mar 2015 20:09:49 +0100

muon (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:36:31 -0700

muon (4:5.2.1+git20150304-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot to get fixed categories

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Mar 2015 18:05:04 +0100

muon (4:5.2.1git20150304-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Mar 2015 15:33:43 +0100

muon (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Add missing .mo files

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:45:04 -0800

muon (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:56:24 +0100

muon (4:5.1.95+git20150120-0ubuntu2) vivid; urgency=medium

  * Make libmuon replace and break libmuonprivate2, they clash on
    the translation files.

 -- Harald Sitter <sitter@kde.org>  Thu, 22 Jan 2015 09:22:23 +0100

muon (4:5.1.95+git20150120-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * New upstream release based on KDE Frameworks 5
  * muon-installer is no more remove binary package and all references
  * Drop all patches, they all came from upstream anyway
  * Remove muon.1 it was wrong and is now outdated
  * Fix lintian warnings and ignore all that are bogus or not worth
    fixing

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:33:55 +0100

muon (2.2.0-0ubuntu5) utopic; urgency=medium

  * Add new package muon-common to contain shared data files.
    + Replaces and conflicts old muon-discover
    + Dependency of -discover and -notifier as they both use the discover icon
      LP: #1317036
  * Wildcardify discover.install because wildcards are cool.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 12 May 2014 14:42:13 +0200

muon (2.2.0-0ubuntu4) utopic; urgency=medium

  * Add upstream_Fix-threading-problem-involving-KSharedConfig.patch
    + This should prevent unsafe cross thread KSharedConfig accesses leading
      to crashes in all muon applications that use the ApplicationBackend.
    LP: #1317431 LP: #1317439 LP: #1317440 LP: #1317441

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 08 May 2014 11:25:39 +0200

=== debian/control ===
Source: muon
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               extra-cmake-modules,
               libdebconf-kde-dev (>= 1.0.0),
               libkf5attica-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5solid-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqapt-dev (>= 3.0.0),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.2.0),
               pkg-config,
               pkg-kde-tools (>= 0.5.0),
               plasma-framework-dev,
               qtdeclarative5-dev (>= 5.2.0)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/sysadmin/muon/

Package: muon
Architecture: any
Depends: apt-xapian-index,
         libmuon (= ${binary:Version}),
         libqapt3-runtime,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: muon-updater
Description: package manager for KDE
 Muon is a graphical package manager for KDE.
 .
 Features of note include:
  * A powerful, yet intuitive interface
  * Fast, accurate package search using the apt-xapian index and the Synaptic
    search algorithm
  * Support for filtering packages by status and category
  * Media change support
  * Support for configuring packages through the debconf system
  * Warn about/disallow the installation of untrusted packages, depending on
    APT settings
  * Uses Polkit for running privileged actions for enhanced security,
    convenience, and desktop integration
  * Power management suspension during package downloads, installations and
    removals
  * Support for download the latest changelog of a package
  * Package screenshots

Package: muon-common
Architecture: all
Depends: ${misc:Depends}
Description: Muon package manager suite (common data files)
 Muon is a graphical package manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the Muon suite.

Package: muon-discover
Architecture: any
Depends: app-install-data,
         apt-xapian-index,
         libmuon (= ${binary:Version}),
         libqapt3-runtime,
         muon-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: app-install-data-partner, ubuntu-sso-client
Description: Utility for browsing, installing, and removing applications
 Muon Discover will help you browse through the huge applications library you
 have available and help you find the applications you're looking for.
 .
 To install or remove software using the Center, you need administrator
 access on the computer.

Package: muon-updater
Architecture: any
Depends: libmuon (= ${binary:Version}),
         libqapt3-runtime,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: muon-notifier
Description: update manager for KDE
 Muon Updater is a graphical update manager for KDE. It is part of the Muon
 family of software and provides an interface similar to that of Muon.

Package: muon-notifier
Architecture: any
Depends: muon-common (= ${source:Version}),
         muon-updater,
         ubuntu-release-upgrader-qt,
         update-notifier-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: update notifier for KDE
 The Muon Notifier is an update notification daemon for KDE. It uses the KDE
 Daemon frame (KDED) framework to present the user with update notifications,
 providing an opportunity to launch the Muon Updater to deal with these
 updates.

Package: libmuon
Architecture: any
Depends: kdesudo,
         python3,
         software-properties-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmuonprivate1, libmuonprivate2, muon-installer (<< 1.3.65-0ubuntu2)
Replaces: libmuonprivate1, libmuonprivate2, muon-installer (<< 1.3.65-0ubuntu2)
Description: Runtime files for the Muon package management suite
 The Muon package management suite is a collection of package management
 applications built on the KDE platform.
 .
 This package contains runtime libraries

Package: muon-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libmuon (= ${binary:Version}),
         muon (= ${binary:Version}) | muon-updater (= ${binary:Version}) | muon-notifier (= ${binary:Version}),
         ${misc:Depends}
Recommends: kdelibs5-dbg, qapt-dbg
Description: Muon debugging symbols
 This package contains debugging symbols for Muon.
 When Muon crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a Muon crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_strip:
	$(overridden_command) --dbg-package=muon-dbg

# Do not pull plugins into the shlibs file, it makes lintian angry.
# This happens because dh_makeshlibs will look for sonames matching
# (.*)-(.*)\.so where it assumes \1 is the library name and \2 is the version.
# This will then assume that libfoo-backend.so has name 'libfoo' and version
# 'backend' which makes for bogus, pointless, silly shlibs entries.
# Couldn't be bothered to report this - sitter, 2015
override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/muon* -V

# FIXME: tests are broken at this time
.PHONY: override_dh_auto_test

## muon 5.4.2

=== debian/changelog ===
muon (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:58:40 +0100

muon (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:21:43 +0100

muon (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:53:50 +0100

muon (4:5.3.95-0ubuntu1) wily; urgency=medium

  * Change kdesudo dependency to pkexec
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:18:23 +0200

muon (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:32:50 +0000

muon (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * Add muon-notifier.mo
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:37:53 +0200

muon (4:5.2.2-1-0ubuntu4.2) vivid; urgency=medium

  * Add upstream_init-application-notifier.diff LP: #1461725 to initialise
    the application notifier

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Jun 2015 02:42:46 +0200

muon (4:5.2.2-1-0ubuntu4.1) vivid; urgency=medium

  * Add upstream_notifications.diff from upstream to prevent repeated
    notification popups LP: #1449583

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Apr 2015 16:10:36 +0200

muon (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).
  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:52:00 +0200

muon (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Feb 2015 10:13:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
-               extra-cmake-modules,
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 1.6.0),
+               kinit-dev,
+               kio-dev,
                libdebconf-kde-dev (>= 1.0.0),
                libkf5attica-dev,
                libkf5config-dev,
@@ -14,6 +16,8 @@
                libkf5dbusaddons-dev,
                libkf5declarative-dev,
                libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5itemviews-dev,
                libkf5kdelibs4support-dev,
                libkf5newstuff-dev,
                libkf5notifications-dev,
@@ -24,13 +28,16 @@
                libphonon4qt5experimental-dev,
                libqapt-dev (>= 3.0.0),
                libqca-qt5-2-dev,
-               libqt5svg5-dev (>= 5.2.0),
+               libqt5svg5-dev (>= 5.4.0~),
                pkg-config,
-               pkg-kde-tools (>= 0.5.0),
+               pkg-kde-tools (>= 0.15.16),
                plasma-framework-dev,
-               qtdeclarative5-dev (>= 5.2.0)
+               qtbase5-dev (>= 5.4.0~),
+               qtdeclarative5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
-Homepage: https://projects.kde.org/projects/extragear/sysadmin/muon/
+Homepage: https://projects.kde.org/projects/kde/workspace/muon
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/muon.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/muon.git
 
 Package: muon
 Architecture: any
@@ -99,10 +106,10 @@
 Architecture: any
 Depends: muon-common (= ${source:Version}),
          muon-updater,
-         ubuntu-release-upgrader-qt,
          update-notifier-common,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ubuntu-release-upgrader-qt
 Description: update notifier for KDE
  The Muon Notifier is an update notification daemon for KDE. It uses the KDE
  Daemon frame (KDED) framework to present the user with update notifications,
@@ -111,7 +118,7 @@
 
 Package: libmuon
 Architecture: any
-Depends: kdesudo,
+Depends: policykit-1,
          python3,
          software-properties-kde,
          ${misc:Depends},
@@ -126,8 +133,8 @@
 
 Package: muon-dbg
 Section: debug
+Priority: extra
 Architecture: any
-Priority: extra
 Depends: libmuon (= ${binary:Version}),
          muon (= ${binary:Version}) | muon-updater (= ${binary:Version}) | muon-notifier (= ${binary:Version}),
          ${misc:Depends}

## muon 5.6.0

=== CMakeLists.txt ===
project(muon)
set(PROJECT_VERSION "5.6.0")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 5.2.0 REQUIRED CONFIG COMPONENTS Widgets Concurrent)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)

find_package(KF5 REQUIRED KIO DBusAddons I18n IconThemes XmlGui)

find_package(QApt 3.0.2 REQUIRED)
find_package(DebconfKDE 1.0.0 REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

set(MUON_VERSION ${PROJECT_VERSION})
configure_file(MuonVersion.h.in MuonVersion.h)

add_subdirectory(src)

set_package_properties(QApt PROPERTIES
    DESCRIPTION "Qt wrapper around the libapt-pkg library"
    PURPOSE "Used to support apt-based distribution systems"
    TYPE REQUIRED)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
add_subdirectory(icons)

set(muon_SRCS
    main.cpp
    MainWindow.cpp
    ManagerWidget.cpp
    ReviewWidget.cpp
    DetailsTabs/DetailsTab.cpp
    DetailsTabs/MainTab.cpp
    DetailsTabs/ChangelogTab.cpp
    DetailsTabs/DependsTab.cpp
    DetailsTabs/InstalledFilesTab.cpp
    DetailsTabs/TechnicalDetailsTab.cpp
    DetailsTabs/VersionTab.cpp
    DetailsWidget.cpp
    DownloadModel/DownloadModel.cpp
    DownloadModel/DownloadDelegate.cpp
    FilterWidget/ArchitectureFilter.cpp
    FilterWidget/CategoryFilter.cpp
    FilterWidget/FilterModel.cpp
    FilterWidget/FilterWidget.cpp
    FilterWidget/OriginFilter.cpp
    FilterWidget/StatusFilter.cpp
    PackageModel/PackageModel.cpp
    PackageModel/PackageProxyModel.cpp
    PackageModel/PackageView.cpp
    PackageModel/PackageDelegate.cpp
    PackageModel/PackageWidget.cpp
    StatusWidget.cpp
    TransactionWidget.cpp
    config/ManagerSettingsDialog.cpp
    config/GeneralSettingsPage.cpp
    settings/SettingsPageBase.cpp
    
    muonapt/ChangesDialog.cpp
    muonapt/MuonStrings.cpp
    muonapt/QAptActions.cpp
    muonapt/HistoryView/HistoryView.h
    muonapt/HistoryView/HistoryProxyModel.h
    muonapt/HistoryView/HistoryView.cpp
    muonapt/HistoryView/HistoryProxyModel.cpp

)

kconfig_add_kcfg_files(muon_SRCS GENERATE_MOC config/MuonSettings.kcfgc)
install(FILES config/muon.kcfg DESTINATION ${KCFG_INSTALL_DIR})

add_executable(muon ${muon_SRCS})

target_compile_definitions(muon PRIVATE -DCMAKE_INSTALL_FULL_LIBEXECDIR_KF5=\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}\")

target_link_libraries(muon DebconfKDE::Main
                           KF5::KIOWidgets
                           KF5::DBusAddons
                           KF5::I18n
                           KF5::IconThemes
                           KF5::XmlGui
                           Qt5::Concurrent
                           QApt::Main)

install(TARGETS muon ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS muon.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES muonui.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/muon )

=== debian/changelog ===
muon (4:5.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Clive Johnston ]
  * New upstream release 5.6.0 (Closes LP: #1562406)
    - Drop binaries that conflict with plasma-discover (Closes: #831279) 

  [ Scott Kitterman ]
  * Update debian/patches/no-canonical-support for new file structure
  * Drop muon-dbg binary and migrate to -dbgsym package and update
    debian/rules
  * Bump standards version to 3.9.8 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Jul 2016 21:27:43 -0400

muon (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:33 +0100

muon (4:5.4.2-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Team upload.
  * Patch out Canonical support information used for Ubuntu - We're Debian
    (Closes: #791875)
    - Added debian/patches/no-canonical-support

  [ Maximiliano Curia ]
  * New upstream release (5.4.2).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:43 +0200

muon (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:44:50 +0200

muon (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 18:24:40 +0200

muon (4:5.3.2-3) unstable; urgency=medium

  * Team upload.
  * Drop muon-discover depends on the no longer existing app-install-data
    (Closes: #792358)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 20 Jul 2015 02:15:50 -0400

muon (4:5.3.2-2) unstable; urgency=medium

  * Drop update-notifier-common dependency. (Closes: #792011) Thanks to
    Achim Schaefer

 -- Maximiliano Curia <maxy@debian.org>  Fri, 10 Jul 2015 10:40:50 +0200

muon (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 23:04:58 +0200

muon (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).
  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 12:05:56 +0200

=== debian/control ===
Source: muon
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0),
               kinit-dev,
               kio-dev,
               libdebconf-kde-dev (>= 1.0.0),
               libkf5archive-dev,
               libkf5attica-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5solid-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqapt-dev (>= 3.0.2),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               plasma-framework-dev,
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/muon
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/muon.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/muon.git

Package: muon
Architecture: any
Depends: apt-xapian-index,
         libqapt3 (>= 3.0.2),
         libqapt3-runtime (>= 3.0.2),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: muon-updater
Description: package manager for KDE
 Muon is a graphical package manager for KDE.
 .
 Features of note include:
  * A powerful, yet intuitive interface
  * Fast, accurate package search using the apt-xapian index and the Synaptic
    search algorithm
  * Support for filtering packages by status and category
  * Media change support
  * Support for configuring packages through the debconf system
  * Warn about/disallow the installation of untrusted packages, depending on
    APT settings
  * Uses Polkit for running privileged actions for enhanced security,
    convenience, and desktop integration
  * Power management suspension during package downloads, installations and
    removals
  * Support for download the latest changelog of a package
  * Package screenshots

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+override_dh_auto_install:
+	$(overridden_command) --destdir=debian/tmp
+
 override_dh_strip:
-	$(overridden_command) --dbg-package=muon-dbg
+	$(overridden_command) --dbgsym-migration='muon-dbg (<= 4:5.6.0-1~~)'
 
 # Do not pull plugins into the shlibs file, it makes lintian angry.
 # This happens because dh_makeshlibs will look for sonames matching
@@ -17,4 +20,5 @@
 	$(overridden_command) -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/muon* -V
 
 # FIXME: tests are broken at this time
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	:

## muon 5.7.0

=== debian/changelog ===
muon (4:5.7.0-0ubuntu3) artful; urgency=medium

  * Drop obsolete recommends on muon-updater

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Jun 2017 20:03:21 +0100

muon (4:5.7.0-0ubuntu2) artful; urgency=medium

  * Switch build depends to new KF5 -dev package names
    - plasma-framework-dev -> libkf5plasma-dev 
    - kio-dev -> libkf5kio-dev 

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 06 May 2017 16:56:18 +0100

muon (4:5.7.0-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (5.7.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Apr 2017 17:43:05 +0100

muon (4:5.6.0-0ubuntu2) zesty; urgency=medium

  * Add software-properties-kde dependency. (LP: #1612392)

 -- Carlo Vanini <silhusk@gmail.com>  Thu, 11 Aug 2016 18:46:57 +0200

muon (4:5.6.0-0ubuntu1) xenial; urgency=medium

  * New upstream release 5.6.0 (Closes LP: #1562406) 

 -- Clive Johnston <clivejo@aol.com>  Sat, 26 Mar 2016 20:50:44 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 1.6.0),
                kinit-dev,
-               kio-dev,
                libdebconf-kde-dev (>= 1.0.0),
                libkf5archive-dev,
                libkf5attica-dev,
@@ -20,8 +19,10 @@
                libkf5iconthemes-dev,
                libkf5itemviews-dev,
                libkf5kdelibs4support-dev,
+               libkf5kio-dev,
                libkf5newstuff-dev,
                libkf5notifications-dev,
+               libkf5plasma-dev,
                libkf5solid-dev,
                libkf5textwidgets-dev,
                libkf5wallet-dev,
@@ -33,22 +34,21 @@
                libqt5svg5-dev (>= 5.4.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               plasma-framework-dev,
                qtbase5-dev (>= 5.4.0~),
                qtdeclarative5-dev (>= 5.4.0~)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/muon
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/muon.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/muon.git
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/muon
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/muon
 
 Package: muon
 Architecture: any
 Depends: apt-xapian-index,
          libqapt3 (>= 3.0.2),
          libqapt3-runtime (>= 3.0.2),
+         software-properties-kde,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: muon-updater
 Description: package manager for KDE
  Muon is a graphical package manager for KDE.
  .
@@ -67,3 +67,17 @@
     removals
   * Support for download the latest changelog of a package
   * Package screenshots
+
+Package: muon-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: muon (= ${binary:Version}), ${misc:Depends}
+Recommends: qapt-dbg
+Description: Muon debugging symbols
+ This package contains debugging symbols for Muon.
+ When Muon crashes, in most cases this package is
+ needed to get a backtrace that is useful for developers. If you have
+ experienced a Muon crash without this package
+ installed, please install it, try to reproduce the problem and fill a bug
+ report with a new backtrace attached.
